Summary:	Utilities for managing processes on your system
Name:		psmisc
Version:	22.21
Release:	3
License:	GPLv2+
Group:		Monitoring
Url:		http://psmisc.sourceforge.net/
Source0:	http://downloads.sourceforge.net/project/psmisc/%{name}/%{name}-%{version}.tar.gz
BuildRequires:	pkgconfig(ncurses)

%description
The psmisc package contains utilities for managing processes on your
system: pstree, killall and fuser. The pstree command displays a tree
structure of all of the running processes on your system. The killall
command sends a specified signal (SIGTERM if nothing is specified) to
processes identified by name.  The fuser command identifies the PIDs
of processes that are using specified files or filesystems.

%files -f %{name}.lang
%doc AUTHORS ChangeLog README
/sbin/fuser
%{_bindir}/fuser
%{_bindir}/killall
%{_bindir}/prtstat
%{_bindir}/pstree*
%{_mandir}/man1/fuser.1*
%{_mandir}/man1/killall.1*
%{_mandir}/man1/prtstat.1*
%{_mandir}/man1/pstree.1*
%{_bindir}/peekfd
%{_mandir}/man1/peekfd.1*

#----------------------------------------------------------------------------

%prep
%setup -q

%build
export CFLAGS="%{optflags} -D_GNU_SOURCE"

%configure2_5x \
	--disable-rpath
%make

%install
%makeinstall_std

mkdir -p %{buildroot}/sbin
pushd %{buildroot}/sbin
ln -s ../%{_bindir}/fuser fuser
popd

%find_lang %{name}


%changelog

* Thu Oct 06 2016 Denis Silakov <dsilakov@gmail.com> 22.21-3
- (24d3231) Fix symlink creation


